<?php
/*
 * @package Recent Forum Topics
 * @version 2.0
 * @Author: Pipke(AdemaStudios)
 * @copyright Copyright (C) 2015, Pipke
 * @All rights reserved. 
 * @This SMF modification is subject to the BSD 2-Clause License
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON 
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

//Menus
$txt['rft_name'] = 'Recent Forum Topics';
$txt['rft_settings_title'] = 'Settings '. $txt['rft_name'];
$txt['rft_area_placement_title'] = 'Area Placements '. $txt['rft_name'];
$txt['rft_layout_title'] = 'Layout '. $txt['rft_name'];
$txt['rft_permissions_title'] = 'Permissions '. $txt['rft_name'];
$txt['rft_notifications'] = 'Notifications';
$txt['rft_notification_title'] = '<a name="notifications"></a>'.$txt['rft_notifications'].' '.$txt['rft_name'];
$txt['rft_title'] = 'Recent Forum Topics/Posts';
$txt['rft_general'] = 'Generals settings';
$txt['rft_list'] = 'Users list';
$txt['rft_boost_topic'] = 'Boost topic on top position';
$txt['rft_un-boost_topic'] = 'Release topic from top position';
$txt['rft_disable_topic'] = 'Hide topic from block';

//Time, date relative
$txt['rft_relative_date'] = 'Display block time/date format:';
$txt['rft_year'] = 'year';
$txt['rft_years'] = 'years';
$txt['rft_month'] = 'month';
$txt['rft_months'] = 'months';
$txt['rft_week'] = 'week';
$txt['rft_weeks'] = 'weeks';
$txt['rft_day'] = 'day';
$txt['rft_days'] = 'days';
$txt['rft_hour'] = 'hour';
$txt['rft_hours'] = 'hours';
$txt['rft_minute'] = 'minute';
$txt['rft_minutes'] = 'minutes';
$txt['rft_second'] = 'second';
$txt['rft_seconds'] = 'seconds';
$txt['rft_ago'] = '&nbsp;ago';
$txt['rft_about'] = 'about';
$txt['rft_smf_default'] = 'SMF default format';
$txt['rft_relative_default'] = 'Relative default format&nbsp;';
$txt['rft_relative2'] = 'Relative, 2 differences';
$txt['rft_relative3'] = 'Relative, 3 differences';
$txt['rft_relative4'] = 'Relative, 4 differences';
$txt['rft_relative5'] = 'Relative, 5 differences';
$txt['rft_relative6'] = 'Relative, 6 differences';
$txt['rft_relative7'] = 'Relative, 7 differences';

//Configuration
$txt['rft_welcome'] = '&#8226; MOD Recent Forum Topics - Just Installed! I hope you enjoy using this mod. If you have any problems or suggestions feel free to reply on the <a href="http://www.simplemachines.org/community/index.php?topic=522114.0" target="_blank">support topic</a>.';
$txt['rft_enable'] = 'Enable Recent Forum Topics Mod';
$txt['rft_enable_sub'] = 'This is the master setting, it needs to be enabled for the mod to work.';
$txt['rft_numbertopics'] = 'Number of Recent Forum Topics per page:';
$txt['rft_maxtopics'] = 'Max. Number of Recent Forum Topics to view:';
$txt['rft_first'] = 'First post&nbsp;';
$txt['rft_last'] = 'Last post';
$txt['rft_stop'] = 'Stop&nbsp;';
$txt['rft_run'] = 'Run';
$txt['rft_subject_topics'] = 'Select topics subject by first/last post:';
$txt['rft_subject_topics_sub'] = 'Subject icon also changes with it.'; 
$txt['rft_link_topics'] = 'Select link from topics subject to first/last post:'; 
$txt['rft_link_topics_sub'] = 'The <i>new</i> icon link will be excluded.';
$txt['rft_color_boost'] = 'Specify background color of the <i> &laquo; boosted &raquo;</i> topics:';
$txt['rft_color_sub'] = 'Make it suitable for your theme, enter a valid HEX color (3 or 6 digits)';
$txt['10'] = '10&nbsp;';
$txt['100'] = '100&nbsp;';
$txt['rft_full'] = 'Full&nbsp;';
$txt['rft_trimnumbers'] = 'Topic subject max allowed number of characters:';
$txt['rft_trimnumbers_sub'] = 'Make it suitable for the table width that the subject is not to long.';
$txt['rft_linktree'] = 'Show Recent Forum Topics in linktree:';
$txt['rft_postlinkicon'] = 'Show icon to first/last post link:';
$txt['rft_avatar'] = 'Show avatar of first/last poster:';
$txt['rft_avatar_layout'] = 'Define the avatars with rounded borders?';
$txt['rft_avatar_layout_sub'] = 'Works only if users browser version fully supports CSS3';
$txt['rft_first_poster'] = 'First poster';
$txt['rft_last_poster'] = 'Last poster';
$txt['rft_both_poster'] = 'First and last poster&nbsp;';
$txt['rft_none'] = 'None';
$txt['rft_collapse_block'] = 'Allow collapsible blocks for users';
$txt['rft_menubuttons'] = 'Show the above quicklink buttons about user\'s posts:';
$txt['rft_postingicons'] = 'Show the below topic description posting icons:';
$txt['rft_disable_smfrecentposts'] = 'Disable SMF '.$txt['recent_posts'].' from the info center block!:';
$txt['rft_topic_solved'] = 'Check this if you have the Topic Solved Mod installed:';
$txt['rft_topic_solved_sub'] = 'Uncheck if you have this package not/uninstalled. (this is for the icon)';
$txt['rft_portal'] = 'Disable Recent Forum Topics only from the Frontpage with SimplePortal';
$txt['rft_portal_sub'] = 'Do this only when you have the SimplePortal Mod installed: Portal Mode => Front Page';
$txt['rft_view_perm'] = 'Disable group permissions for viewing:';
$txt['rft_view_perm_sub'] = 'For hiding the '. $txt['rft_name'] .', the user must be in one of the selected groups';
$txt['rft_boost_perm'] = 'Allow group permissions for boosting:';
$txt['rft_boost_perm_sub'] = 'Option to set topics from the block on top position, the user must be in one of the selected groups.<br>Shift+Click is for (un)selecting';
$txt['rft_hide_boards'] = 'Select the forum boards wich you want to hide from the block:'; //topics from certain boards
$txt['rft_hide_boards_sub'] = 'This is a multi-select box, this will hide topics from the selected boards<br>Note: Boosted topic(s) from the boards remain visible!';
$txt['rft_hide_cats'] = 'Select the forum categories wich you want to hide from the block:';
$txt['rft_hide_cats_sub'] = 'This is a multi-select box, this will hide all the topics from the selected categories<br>Note: Boosted topic(s) from the categories remain visible!';
$txt['rft_hide_topics'] = 'Here are the topics wich have been set to be hidden from the block:';
$txt['rft_hide_topics_sub'] = 'To make them visible agian, unselect the desired topics.<br />Explanation field: {topic id}=> {topic subject}';
$txt['rft_above_areas'] = '(Above)Select on which pages you want to show the '. $txt['rft_name'] .':';
$txt['rft_above_areas_sub'] = 'This is a multi-select box, this will show the block (above) on the selected pages';
$txt['rft_below_areas'] = '(Below)Select on which pages you want to show the '. $txt['rft_name'] .':';
$txt['rft_below_areas_sub'] = 'This is a multi-select box, this will show the block (below) on the selected pages';
$txt['rft_select_help'] = 'Selecting multiple options. For windows: Hold down the control (ctrl) or (shift) button to select multiple options. For Mac: Hold down the command button to select multiple options.';


$txt['rft_homepage'] = 'Homepage (Index)';
$txt['rft_forum'] = 'Forum (Boardindex)';
$txt['rft_boards'] = 'Boards';
$txt['rft_posts'] = 'Posts/Topics';
$txt['rft_credits'] = 'Credits';

//Layout
$txt['rft_in_Board'] = 'in Board';
$txt['rft_first_post'] = 'First Post';
$txt['rft_menu'] = 'Menu';
$txt['rft_Hot_Topic'] = 'Hot Topic';
$txt['rft_Very_Hot_Topic'] = 'Very Hot Topic';
$txt['rft_show_all_your_posts'] = 'Show your posts';
$txt['rft_border'] = 'Use rounded border around block:';

//Admin
$txt['rft_sp_block'] = 'Action settings Simpleportal block! (<a href="'.$scripturl.'?action=admin;area=portalblocks;sa=list">show block list</a>)';
$txt['rft_sp_block_help'] = 'Group view permissions, display and styling settings will be overridden by the Simpleportal options! For using the area placement without the simpleportal block just delete it from the block list! ;)';
$txt['rft_mod'] = '[MOD]';
$txt['rft_set_areas_above'] = '<b>Above <i>action</i> areas added until now:</b>';
$txt['rft_set_areas_below'] = '<b>Below <i>action</i> areas added until now:</b>';
$txt['rft_add_area'] = '[+] Add Area Recent Forum Topics Placement';
$txt['rft_remove_area'] = '[-] Remove Area Recent Forum Topics Placement';
$txt['rft_set_areas'] = 'Start the custom action page area placement '.$txt['rft_name'].' setup mode:';
$txt['rft_area_empty'] = '<i>(None yet...)</i>';
$txt['rft_area_add_empty_action'] = '\tHold on, it seems that this action page is not defined or has no purpose?\t\n\n\tAre you sure you wish to add this area placement action for the '.$txt['rft_name'].'!\t';
$txt['rft_area_placement_close'] = 'Are you sure you want to stop and close the '.$txt['rft_name'].' area placement setup mode?';
$txt['rft_area_placement_running'] = '<b>Remember!</b> You are currently viewing and running in \'Admin Area Placement Mode\', to swich back to \'Normal View Mode\' click the close button on the right';
$txt['rft_area_placement_where'] = 'Where you want the '.$txt['rft_name'].' to be placed:';
$txt['rft_area_placement'] = 'On wich pages you want to add the '.$txt['rft_name'].':';
$txt['rft_above_area'] = 'Above on page block only ';
$txt['rft_below_area'] = 'Below on page block only';
$txt['rft_both_area'] = 'Above and below on page block&nbsp;';
$txt['rft_sp_block_list'] = 'Insert in \'block list\' Simpleportal&nbsp;';
$txt['rft_sp_block_note'] = '<span style="color:red;">ATTENTION: If selected <strong>'.$txt['rft_sp_block_list'].'</strong/> the group view PERMISSIONS, display and styling settings will be overridden and used from the Simpleportal options!</span>';
$txt['rft_select_all_pages'] = 'Show everywhere&nbsp;';
$txt['rft_select_custom'] = 'Select pages';
$txt['rft_note_setting'] = 'Turn on handy notifications that may affect the options of the settings:';
$txt['rft_note_button'] = 'Show the notification(s) button for admins:';
$txt['rft_note_new_action'] = 'There is a new action page added:';
$txt['rft_note_new_board'] = 'There is a new board added:';
$txt['rft_note_new_cat'] = 'There is a new category added:';
$txt['rft_note_topic_solved_on'] = 'Found package &quot;Topic Solved Mod&quot;, version 1.1.1';
$txt['rft_note_simpelportal'] = 'Found package &quot;SimplePortal&quot;, version';
$txt['rft_note_simpelportal_on'] = 'Inserted block on &quot;SimplePortal&quot; <a href="'.$scripturl.'?action=admin;area=portalblocks;sa=list">block list</a>';
$txt['rft_note_simpelportal_off'] = 'Removed block from &quot;SimplePortal&quot; <a href="'.$scripturl.'?action=admin;area=portalblocks;sa=list">block list</a>';
$txt['rft_note_clear'] = 'Clear all notification messages?';
$txt['rft_note_messages'] = !empty($modSettings['rft_note_messages']) ? $modSettings['rft_note_messages'] : $txt['rft_welcome'];
$txt['rft_note_clear_confirm'] = 'Are you sure you want to delete all notification messages entries?'; 
$txt['rft_note_cleared'] = 'Notification messages last cleared'; 
$txt['rft_note_permissions'] = 'Settings for allowing users to boost and hiding topics can be done at <a href="'.$scripturl.'?action=admin;area=permissions;sa=board">Board Profile Permissions</a>';		

// Permissions
$txt['permissionname_rft_permission_boost'] = 'Boost topics';
$txt['permissionhelp_rft_permission_boost'] = 'This permission allows a user to boost topics that will remain on top position per page. It can be useful for important messages.';
$txt['permissionname_rft_permission_hide_topic_view'] = 'Hide topics';
$txt['permissionhelp_rft_permission_hide_topic_view'] = 'User can hide topics from the block.<br />NOTE: This will not delete the topic, topic will remain visable on the forum board';
$txt['permissiongroup_rft_group'] = $txt['rft_mod'].' '.$txt['rft_name'];

//Errors
$txt['rft_area_attempt'] = 'Sorry, it is not the intention to enter this section on this way.';
$txt['rft_error_color_boost'] = 'Cannot save the hex color data for the<i> &laquo; boosted &raquo;</i> topics, the input must contain 3 of 6 digits by using 0-9 and A-F!';
$txt['rft_admin_attempt'] = 'You have no permission or are not allowed to access this section. ('. $txt['rft_mod'].' '.$txt['rft_name'].')';
$txt['rft_cannot_boost'] = 'You don\'t have permission to boost this topic.';
$txt['rft_cannot_release'] = 'You don\'t have permission to release this topic.';
$txt['rft_boost_is_hidden'] = 'What you want to achieve? This topic is hidden and cannot be boosted.';
$txt['rft_nomatch_release'] = 'What are you doing? This topic cannot be released.';
$txt['rft_boost_full'] = 'Sorry, maximum of 2 boosted topics is reached!! There must first be emptied boosted topic places.';
$txt['rft_error_sp'] = 'Cannot insert '.$txt['rft_name'].' in \'block list\' Simpleportal (Package is not installed).';
$txt['rft_cannot_save_sp'] = 'Cannot save the area placement to the <a href="'.$scripturl.'?action=admin;area=portalblocks;sa=list">block list</a>, for this you need to enable the mod first!';
$txt['rft_disable_rft'] = 'Cannot disable the <strong>'. $txt['rft_mod'].' '.$txt['rft_name'].'</strong> you need to delete the block first from the SimplePortal <a href="'.$scripturl.'?action=admin;area=portalblocks;sa=list">block list</a>.<br>To achieve the same result you could deactivate the block on the <a href="'.$scripturl.'?action=admin;area=portalblocks;sa=list">block list</a>!';


global $helptxt;

//Helptxt
$helptxt['rft_help_placement_mode'] = '<strong>Area Placement Mode</strong><br />This lined box (red or blue) previews on wich pages and positions the '.$txt['rft_name'].' block will be added or removed when you click the add/remove placement lined box, you can also do this on the '.$txt['rft_name'].' admin settings page.';
	
//ModLog
$txt['modlog_ac_boosted'] = 'Boosted &quot;{topic}&quot; to top position on '.$txt['rft_mod'].' '.$txt['rft_name'];
$txt['modlog_ac_released'] = 'Released &quot;{topic}&quot; from top position on '.$txt['rft_mod'].' '.$txt['rft_name'];
$txt['modlog_ac_hidden'] = 'Hiding &quot;{topic}&quot; from '.$txt['rft_mod'].' '.$txt['rft_name'];
$txt['modlog_ac_returned'] = 'Returned &quot;{topic}&quot; to '.$txt['rft_mod'].' '.$txt['rft_name'];  // Future thingy

?>